Subject: [DNSOP] CAA and the LAMPS Working Group

From: "Paul Hoffman" <[email-masked]>
Date: Fri, 09 Feb 2018 09:15:50 -0800

Greetings. There was a recent burst of interest in the CAA DNS record 
type here in DNSOP. The IESG just sent out this proposed update to the 
LAMPS WG charter. If you are interested in CAA, you might want to 
comment on the proposed charter and, more importantly, contribute to the 
CAA effort in that WG.

--Paul Hoffman

Forwarded message:

> From: The IESG <[email-masked]>
> To: IETF-Announce <[email-masked]>
> Cc: [email-masked]
> Subject: WG Review: Limited Additional Mechanisms for PKIX and SMIME 
> (lamps)
> Date: Fri, 09 Feb 2018 08:58:49 -0800
>
> The Limited Additional Mechanisms for PKIX and SMIME (lamps) WG in the
> Security Area of the IETF is undergoing rechartering. The IESG has not 
> made
> any determination yet. The following draft charter was submitted, and 
> is
> provided for informational purposes only. Please send your comments to 
> the
> IESG mailing list ([email-masked]) by 2018-02-19.
>
> Limited Additional Mechanisms for PKIX and SMIME (lamps)
> -----------------------------------------------------------------------
> Current status: Active WG
>
> Chairs:
>   Russ Housley <[email-masked]>
>
> Assigned Area Director:
>   Eric Rescorla <[email-masked]>
>
> Security Area Directors:
>   Kathleen Moriarty <[email-masked]>
>   Eric Rescorla <[email-masked]>
>
> Mailing list:
>   Address: [email-masked]
>   To subscribe: https://www.ietf.org/mailman/listinfo/spasm
>   Archive: https://mailarchive.ietf.org/arch/browse/spasm/
>
> Group page: https://datatracker.ietf.org/group/lamps/
>
> Charter: https://datatracker.ietf.org/doc/charter-ietf-lamps/
>
> The PKIX and S/MIME Working Groups have been closed for some time. 
> Some
> updates have been proposed to the X.509 certificate documents produced
> by the PKIX Working Group and the electronic mail security documents
> produced by the S/MIME Working Group.
>
> The LAMPS (Limited Additional Mechanisms for PKIX and SMIME) Working
> Group is chartered to make updates where there is a known constituency
> interested in real deployment and there is at least one sufficiently
> well specified approach to the update so that the working group can
> sensibly evaluate whether to adopt a proposal.
>
> Having completed the S/MIME 4.0 specifications and updates to support
> i18n email addresses in PKIX certificates, the LAMPS WG is now 
> tackling
> these topics:
>
> 1. Specify a discovery mechanism for CAA records to replace the one
>    described in RFC 6844.
>
> 2. Specify the use of SHAKE128/256 and SHAKE256/512 for PKIX and 
> S/MIME.
>
> RFC 6844 describes the mechanism by which CAA records relating to a
> domain are discovered.  Implementation experience has demonstrated an
> ambiguity in the current processing of CNAME and DNAME records during
> discovery.  Subsequent discussion has suggested that a different
> discovery approach would resolve limitations inherent in the current
> approach.
>
> Unlike the previous hashing standards, the SHA-3 family of functions 
> are
> the outcome of an open competition.  They have a clear design 
> rationale
> and have received a lot of public analysis, which gives great 
> confidence
> that the SHA-3 family of functions are secure.  Also, since SHA-3 uses 
> a
> very different construction from SHA-2, the SHA-3 family of functions
> offers an excellent alternative.  In particular, SHAKE128/256 and
> SHAKE256/512 offer security and performance benefits.
>
> In addition, the LAMPS Working Group may investigate other updates to
> the documents produced by the PKIX and S/MIME Working Groups, but the
> LAMPS Working Group shall not adopt any of these potential work items
> without rechartering.
>
> Milestones:
>
>   Apr 2018 - Adopt a draft for rfc6844bis
>
>   Apr 2018 - Adopt a PKIX draft for SHAKE128/256 and SHAKE256/512
>
>   Apr 2018 - Adopt a S/MIME draft for SHAKE128/256 and SHAKE256/512
>
>   Apr 2018 - rfc6844bis sent to IESG for standards track publication
>
>   Sep 2018 - SHAKE128/256 and SHAKE256/512 for PKIX sent to IESG for
>   standards track publication
>
>   Sep 2018 - SHAKE128/256 and SHAKE256/512 for S/MIME sent to IESG for
>   standards track publication